<div dir="ltr"><div class="gmail_quote"><div dir="ltr" class="gmail_attr">Am Do., 10. Dez. 2020 um 20:15 Uhr schrieb Jean-Marc Lasgouttes <<a href="mailto:lasgouttes@lyx.org">lasgouttes@lyx.org</a>>:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Le 10/12/2020 à 19:12, Yu Jin a écrit :<br>
<br>
> It was not meant to be over installed:<br>
> <a href="https://www.mail-archive.com/lyx-users@lists.lyx.org/msg111349.html" rel="noreferrer" target="_blank">https://www.mail-archive.com/lyx-users@lists.lyx.org/msg111349.html</a> <br>
> <<a href="https://www.mail-archive.com/lyx-users@lists.lyx.org/msg111349.html" rel="noreferrer" target="_blank">https://www.mail-archive.com/lyx-users@lists.lyx.org/msg111349.html</a>><br>
> <a href="https://www.mail-archive.com/lyx-devel@lists.lyx.org/msg214304.html" rel="noreferrer" target="_blank">https://www.mail-archive.com/lyx-devel@lists.lyx.org/msg214304.html</a> <br>
> <<a href="https://www.mail-archive.com/lyx-devel@lists.lyx.org/msg214304.html" rel="noreferrer" target="_blank">https://www.mail-archive.com/lyx-devel@lists.lyx.org/msg214304.html</a>><br>
> While it's nothing system breaking, you are leaving junk in your <br>
> registry behind which might affect something else (like installer not <br>
> starting).<br>
> <br>
> Riki, please add this note to the website on the download section (maybe <br>
> at least a link to the news section).<br>
<br>
Eugene, is it possible to detect this condition and uninstall the <br>
previous version, or is it precisely what you are trying to avoid <br>
(because it is too difficult to get right)?<br></blockquote><div><br></div><div>Looking back I have to say that releasing the new installer as official was too suddenly. I also thought recently that I should have implemented a bit of code that at least prevents overinstalling with a message box saying that old LyX needs to be uninstalled. If I'd been told 2 weeks before the release that the new installer would be released as official, then I would have thought about this. Now it is kinda too late, because those who already overinstalled will not be able to remove the old junk in the registry without knowing what to do or following a rather long instructions set. I'm not blaming Riki or anyone else, just giving feedback and recording the occurrence, because I too should have braked and asked for a bit of time to think. But anyway, it's not the end of the world for anyone and for us and me it was an experience, and all experience is valuable.<br></div><div><br></div><div>Back to your question. Technically it is possible, it just needs to be coded (as everything else). Though it would be a pain (because there is not just LyX specific, but also imagemagick, ghostscript and python registry entries made by the old installer), I think I could code that if we agree on it. And I would also implement what I said above, where the installer would cancel with a message box. A question would be if we then release 2.3.6-Installer-2 with these new parts and maybe get those few, who still did not update, to update safely (which is what I would propose) or repair everything with 2.3.7/<a href="http://2.4.0.">2.4.0.</a><br></div></div>-- <br><div dir="ltr" class="gmail_signature"><div dir="ltr">    Eugene<br></div></div></div>